# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorTypingPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorTypingPage(object):
    def setupUi(self, EditorTypingPage):
        EditorTypingPage.setObjectName("EditorTypingPage")
        EditorTypingPage.resize(543, 518)
        EditorTypingPage.setWindowTitle("")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(EditorTypingPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=EditorTypingPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line1 = QtWidgets.QFrame(parent=EditorTypingPage)
        self.line1.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line1.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line1.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line1.setObjectName("line1")
        self.verticalLayout_3.addWidget(self.line1)
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.TextLabel1_3 = QtWidgets.QLabel(parent=EditorTypingPage)
        self.TextLabel1_3.setToolTip("")
        self.TextLabel1_3.setObjectName("TextLabel1_3")
        self.hboxlayout.addWidget(self.TextLabel1_3)
        self.languageCombo = QtWidgets.QComboBox(parent=EditorTypingPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.languageCombo.sizePolicy().hasHeightForWidth())
        self.languageCombo.setSizePolicy(sizePolicy)
        self.languageCombo.setObjectName("languageCombo")
        self.hboxlayout.addWidget(self.languageCombo)
        self.verticalLayout_3.addLayout(self.hboxlayout)
        self.stackedWidget = QtWidgets.QStackedWidget(parent=EditorTypingPage)
        self.stackedWidget.setObjectName("stackedWidget")
        self.emptyPage = QtWidgets.QWidget()
        self.emptyPage.setObjectName("emptyPage")
        self.stackedWidget.addWidget(self.emptyPage)
        self.pythonPage = QtWidgets.QWidget()
        self.pythonPage.setObjectName("pythonPage")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.pythonPage)
        self.verticalLayout_2.setContentsMargins(0, -1, 0, -1)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.pythonGroup = QtWidgets.QGroupBox(parent=self.pythonPage)
        self.pythonGroup.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.pythonGroup.setCheckable(True)
        self.pythonGroup.setObjectName("pythonGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.pythonGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.pythonInsertClosingBraceCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonInsertClosingBraceCheckBox.setObjectName("pythonInsertClosingBraceCheckBox")
        self.verticalLayout.addWidget(self.pythonInsertClosingBraceCheckBox)
        self.hboxlayout1 = QtWidgets.QHBoxLayout()
        self.hboxlayout1.setObjectName("hboxlayout1")
        spacerItem = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout1.addItem(spacerItem)
        self.pythonSkipBraceCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonSkipBraceCheckBox.setEnabled(False)
        self.pythonSkipBraceCheckBox.setObjectName("pythonSkipBraceCheckBox")
        self.hboxlayout1.addWidget(self.pythonSkipBraceCheckBox)
        spacerItem1 = QtWidgets.QSpacerItem(131, 21, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout1.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.hboxlayout1)
        self.pythonColonDetectionCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonColonDetectionCheckBox.setObjectName("pythonColonDetectionCheckBox")
        self.verticalLayout.addWidget(self.pythonColonDetectionCheckBox)
        self.pythonIndentBraceCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonIndentBraceCheckBox.setObjectName("pythonIndentBraceCheckBox")
        self.verticalLayout.addWidget(self.pythonIndentBraceCheckBox)
        self.pythonInsertQuoteCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonInsertQuoteCheckBox.setObjectName("pythonInsertQuoteCheckBox")
        self.verticalLayout.addWidget(self.pythonInsertQuoteCheckBox)
        self.pythonDedentElseCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonDedentElseCheckBox.setObjectName("pythonDedentElseCheckBox")
        self.verticalLayout.addWidget(self.pythonDedentElseCheckBox)
        self.pythonDedentExceptCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonDedentExceptCheckBox.setObjectName("pythonDedentExceptCheckBox")
        self.verticalLayout.addWidget(self.pythonDedentExceptCheckBox)
        self.pythonInsertImportCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonInsertImportCheckBox.setObjectName("pythonInsertImportCheckBox")
        self.verticalLayout.addWidget(self.pythonInsertImportCheckBox)
        self.hboxlayout2 = QtWidgets.QHBoxLayout()
        self.hboxlayout2.setObjectName("hboxlayout2")
        spacerItem2 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout2.addItem(spacerItem2)
        self.pythonImportBraceTypeCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonImportBraceTypeCheckBox.setEnabled(False)
        self.pythonImportBraceTypeCheckBox.setObjectName("pythonImportBraceTypeCheckBox")
        self.hboxlayout2.addWidget(self.pythonImportBraceTypeCheckBox)
        spacerItem3 = QtWidgets.QSpacerItem(261, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout2.addItem(spacerItem3)
        self.verticalLayout.addLayout(self.hboxlayout2)
        self.pythonInsertSelfCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonInsertSelfCheckBox.setObjectName("pythonInsertSelfCheckBox")
        self.verticalLayout.addWidget(self.pythonInsertSelfCheckBox)
        self.pythonInsertBlankCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonInsertBlankCheckBox.setObjectName("pythonInsertBlankCheckBox")
        self.verticalLayout.addWidget(self.pythonInsertBlankCheckBox)
        self.pythonDedentDefCheckBox = QtWidgets.QCheckBox(parent=self.pythonGroup)
        self.pythonDedentDefCheckBox.setObjectName("pythonDedentDefCheckBox")
        self.verticalLayout.addWidget(self.pythonDedentDefCheckBox)
        self.verticalLayout_2.addWidget(self.pythonGroup)
        spacerItem4 = QtWidgets.QSpacerItem(507, 20, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem4)
        self.stackedWidget.addWidget(self.pythonPage)
        self.rubyPage = QtWidgets.QWidget()
        self.rubyPage.setObjectName("rubyPage")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.rubyPage)
        self.vboxlayout.setContentsMargins(0, -1, 0, -1)
        self.vboxlayout.setObjectName("vboxlayout")
        self.rubyGroup = QtWidgets.QGroupBox(parent=self.rubyPage)
        self.rubyGroup.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rubyGroup.setCheckable(True)
        self.rubyGroup.setObjectName("rubyGroup")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.rubyGroup)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.rubyInsertClosingBraceCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyInsertClosingBraceCheckBox.setObjectName("rubyInsertClosingBraceCheckBox")
        self.verticalLayout_8.addWidget(self.rubyInsertClosingBraceCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem5 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem5)
        self.rubySkipBraceCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubySkipBraceCheckBox.setEnabled(False)
        self.rubySkipBraceCheckBox.setObjectName("rubySkipBraceCheckBox")
        self.horizontalLayout.addWidget(self.rubySkipBraceCheckBox)
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem6)
        self.verticalLayout_8.addLayout(self.horizontalLayout)
        self.rubyIndentBraceCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyIndentBraceCheckBox.setObjectName("rubyIndentBraceCheckBox")
        self.verticalLayout_8.addWidget(self.rubyIndentBraceCheckBox)
        self.rubyInsertQuoteCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyInsertQuoteCheckBox.setObjectName("rubyInsertQuoteCheckBox")
        self.verticalLayout_8.addWidget(self.rubyInsertQuoteCheckBox)
        self.rubyInsertBlankCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyInsertBlankCheckBox.setObjectName("rubyInsertBlankCheckBox")
        self.verticalLayout_8.addWidget(self.rubyInsertBlankCheckBox)
        self.rubyInsertHereDocCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyInsertHereDocCheckBox.setObjectName("rubyInsertHereDocCheckBox")
        self.verticalLayout_8.addWidget(self.rubyInsertHereDocCheckBox)
        self.rubyInsertInlineDocCheckBox = QtWidgets.QCheckBox(parent=self.rubyGroup)
        self.rubyInsertInlineDocCheckBox.setObjectName("rubyInsertInlineDocCheckBox")
        self.verticalLayout_8.addWidget(self.rubyInsertInlineDocCheckBox)
        self.vboxlayout.addWidget(self.rubyGroup)
        spacerItem7 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.vboxlayout.addItem(spacerItem7)
        self.stackedWidget.addWidget(self.rubyPage)
        self.yamlPage = QtWidgets.QWidget()
        self.yamlPage.setObjectName("yamlPage")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.yamlPage)
        self.verticalLayout_5.setContentsMargins(0, -1, 0, -1)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.yamlGroup = QtWidgets.QGroupBox(parent=self.yamlPage)
        self.yamlGroup.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.yamlGroup.setCheckable(True)
        self.yamlGroup.setObjectName("yamlGroup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.yamlGroup)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.yamlInsertClosingBraceCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertClosingBraceCheckBox.setObjectName("yamlInsertClosingBraceCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertClosingBraceCheckBox)
        self._2 = QtWidgets.QHBoxLayout()
        self._2.setObjectName("_2")
        spacerItem8 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Minimum)
        self._2.addItem(spacerItem8)
        self.yamlSkipBraceCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlSkipBraceCheckBox.setEnabled(False)
        self.yamlSkipBraceCheckBox.setObjectName("yamlSkipBraceCheckBox")
        self._2.addWidget(self.yamlSkipBraceCheckBox)
        spacerItem9 = QtWidgets.QSpacerItem(131, 21, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._2.addItem(spacerItem9)
        self.verticalLayout_4.addLayout(self._2)
        self.yamlColonDetectionCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlColonDetectionCheckBox.setObjectName("yamlColonDetectionCheckBox")
        self.verticalLayout_4.addWidget(self.yamlColonDetectionCheckBox)
        self.yamlAutoIndentationCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlAutoIndentationCheckBox.setObjectName("yamlAutoIndentationCheckBox")
        self.verticalLayout_4.addWidget(self.yamlAutoIndentationCheckBox)
        self.yamlInsertQuoteCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertQuoteCheckBox.setObjectName("yamlInsertQuoteCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertQuoteCheckBox)
        self.yamlInsertBlankColonCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertBlankColonCheckBox.setObjectName("yamlInsertBlankColonCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertBlankColonCheckBox)
        self.yamlInsertBlankDashCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertBlankDashCheckBox.setObjectName("yamlInsertBlankDashCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertBlankDashCheckBox)
        self.yamlInsertBlankQuestionCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertBlankQuestionCheckBox.setObjectName("yamlInsertBlankQuestionCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertBlankQuestionCheckBox)
        self.yamlInsertBlankCommaCheckBox = QtWidgets.QCheckBox(parent=self.yamlGroup)
        self.yamlInsertBlankCommaCheckBox.setObjectName("yamlInsertBlankCommaCheckBox")
        self.verticalLayout_4.addWidget(self.yamlInsertBlankCommaCheckBox)
        self.verticalLayout_5.addWidget(self.yamlGroup)
        spacerItem10 = QtWidgets.QSpacerItem(20, 89, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_5.addItem(spacerItem10)
        self.stackedWidget.addWidget(self.yamlPage)
        self.tomlPage = QtWidgets.QWidget()
        self.tomlPage.setObjectName("tomlPage")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.tomlPage)
        self.verticalLayout_7.setContentsMargins(0, -1, 0, -1)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.tomlGroup = QtWidgets.QGroupBox(parent=self.tomlPage)
        self.tomlGroup.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.tomlGroup.setCheckable(True)
        self.tomlGroup.setObjectName("tomlGroup")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.tomlGroup)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.tomlInsertClosingBraceCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlInsertClosingBraceCheckBox.setObjectName("tomlInsertClosingBraceCheckBox")
        self.verticalLayout_6.addWidget(self.tomlInsertClosingBraceCheckBox)
        self._3 = QtWidgets.QHBoxLayout()
        self._3.setObjectName("_3")
        spacerItem11 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Minimum)
        self._3.addItem(spacerItem11)
        self.tomlSkipBraceCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlSkipBraceCheckBox.setEnabled(False)
        self.tomlSkipBraceCheckBox.setObjectName("tomlSkipBraceCheckBox")
        self._3.addWidget(self.tomlSkipBraceCheckBox)
        spacerItem12 = QtWidgets.QSpacerItem(131, 21, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._3.addItem(spacerItem12)
        self.verticalLayout_6.addLayout(self._3)
        self.tomlColonDetectionCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlColonDetectionCheckBox.setObjectName("tomlColonDetectionCheckBox")
        self.verticalLayout_6.addWidget(self.tomlColonDetectionCheckBox)
        self.tomlAutoIndentationCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlAutoIndentationCheckBox.setObjectName("tomlAutoIndentationCheckBox")
        self.verticalLayout_6.addWidget(self.tomlAutoIndentationCheckBox)
        self.tomlInsertQuoteCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlInsertQuoteCheckBox.setObjectName("tomlInsertQuoteCheckBox")
        self.verticalLayout_6.addWidget(self.tomlInsertQuoteCheckBox)
        self.tomlInsertBlankColonCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlInsertBlankColonCheckBox.setObjectName("tomlInsertBlankColonCheckBox")
        self.verticalLayout_6.addWidget(self.tomlInsertBlankColonCheckBox)
        self.tomlInsertBlankEqualCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlInsertBlankEqualCheckBox.setObjectName("tomlInsertBlankEqualCheckBox")
        self.verticalLayout_6.addWidget(self.tomlInsertBlankEqualCheckBox)
        self.tomlInsertBlankCommaCheckBox = QtWidgets.QCheckBox(parent=self.tomlGroup)
        self.tomlInsertBlankCommaCheckBox.setObjectName("tomlInsertBlankCommaCheckBox")
        self.verticalLayout_6.addWidget(self.tomlInsertBlankCommaCheckBox)
        self.verticalLayout_7.addWidget(self.tomlGroup)
        spacerItem13 = QtWidgets.QSpacerItem(20, 119, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_7.addItem(spacerItem13)
        self.stackedWidget.addWidget(self.tomlPage)
        self.verticalLayout_3.addWidget(self.stackedWidget)
        spacerItem14 = QtWidgets.QSpacerItem(519, 20, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem14)

        self.retranslateUi(EditorTypingPage)
        self.stackedWidget.setCurrentIndex(0)
        self.pythonInsertClosingBraceCheckBox.toggled['bool'].connect(self.pythonSkipBraceCheckBox.setEnabled) # type: ignore
        self.pythonInsertImportCheckBox.toggled['bool'].connect(self.pythonImportBraceTypeCheckBox.setEnabled) # type: ignore
        self.yamlInsertClosingBraceCheckBox.toggled['bool'].connect(self.yamlSkipBraceCheckBox.setEnabled) # type: ignore
        self.tomlInsertClosingBraceCheckBox.toggled['bool'].connect(self.tomlSkipBraceCheckBox.setEnabled) # type: ignore
        self.rubyInsertClosingBraceCheckBox.toggled['bool'].connect(self.rubySkipBraceCheckBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorTypingPage)
        EditorTypingPage.setTabOrder(self.languageCombo, self.pythonGroup)
        EditorTypingPage.setTabOrder(self.pythonGroup, self.pythonInsertClosingBraceCheckBox)
        EditorTypingPage.setTabOrder(self.pythonInsertClosingBraceCheckBox, self.pythonSkipBraceCheckBox)
        EditorTypingPage.setTabOrder(self.pythonSkipBraceCheckBox, self.pythonColonDetectionCheckBox)
        EditorTypingPage.setTabOrder(self.pythonColonDetectionCheckBox, self.pythonIndentBraceCheckBox)
        EditorTypingPage.setTabOrder(self.pythonIndentBraceCheckBox, self.pythonInsertQuoteCheckBox)
        EditorTypingPage.setTabOrder(self.pythonInsertQuoteCheckBox, self.pythonDedentElseCheckBox)
        EditorTypingPage.setTabOrder(self.pythonDedentElseCheckBox, self.pythonDedentExceptCheckBox)
        EditorTypingPage.setTabOrder(self.pythonDedentExceptCheckBox, self.pythonInsertImportCheckBox)
        EditorTypingPage.setTabOrder(self.pythonInsertImportCheckBox, self.pythonImportBraceTypeCheckBox)
        EditorTypingPage.setTabOrder(self.pythonImportBraceTypeCheckBox, self.pythonInsertSelfCheckBox)
        EditorTypingPage.setTabOrder(self.pythonInsertSelfCheckBox, self.pythonInsertBlankCheckBox)
        EditorTypingPage.setTabOrder(self.pythonInsertBlankCheckBox, self.pythonDedentDefCheckBox)
        EditorTypingPage.setTabOrder(self.pythonDedentDefCheckBox, self.rubyGroup)
        EditorTypingPage.setTabOrder(self.rubyGroup, self.rubyInsertClosingBraceCheckBox)
        EditorTypingPage.setTabOrder(self.rubyInsertClosingBraceCheckBox, self.rubySkipBraceCheckBox)
        EditorTypingPage.setTabOrder(self.rubySkipBraceCheckBox, self.rubyIndentBraceCheckBox)
        EditorTypingPage.setTabOrder(self.rubyIndentBraceCheckBox, self.rubyInsertQuoteCheckBox)
        EditorTypingPage.setTabOrder(self.rubyInsertQuoteCheckBox, self.rubyInsertBlankCheckBox)
        EditorTypingPage.setTabOrder(self.rubyInsertBlankCheckBox, self.rubyInsertHereDocCheckBox)
        EditorTypingPage.setTabOrder(self.rubyInsertHereDocCheckBox, self.rubyInsertInlineDocCheckBox)
        EditorTypingPage.setTabOrder(self.rubyInsertInlineDocCheckBox, self.yamlGroup)
        EditorTypingPage.setTabOrder(self.yamlGroup, self.yamlInsertClosingBraceCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertClosingBraceCheckBox, self.yamlSkipBraceCheckBox)
        EditorTypingPage.setTabOrder(self.yamlSkipBraceCheckBox, self.yamlColonDetectionCheckBox)
        EditorTypingPage.setTabOrder(self.yamlColonDetectionCheckBox, self.yamlAutoIndentationCheckBox)
        EditorTypingPage.setTabOrder(self.yamlAutoIndentationCheckBox, self.yamlInsertQuoteCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertQuoteCheckBox, self.yamlInsertBlankColonCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertBlankColonCheckBox, self.yamlInsertBlankDashCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertBlankDashCheckBox, self.yamlInsertBlankQuestionCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertBlankQuestionCheckBox, self.yamlInsertBlankCommaCheckBox)
        EditorTypingPage.setTabOrder(self.yamlInsertBlankCommaCheckBox, self.tomlGroup)
        EditorTypingPage.setTabOrder(self.tomlGroup, self.tomlInsertClosingBraceCheckBox)
        EditorTypingPage.setTabOrder(self.tomlInsertClosingBraceCheckBox, self.tomlSkipBraceCheckBox)
        EditorTypingPage.setTabOrder(self.tomlSkipBraceCheckBox, self.tomlColonDetectionCheckBox)
        EditorTypingPage.setTabOrder(self.tomlColonDetectionCheckBox, self.tomlAutoIndentationCheckBox)
        EditorTypingPage.setTabOrder(self.tomlAutoIndentationCheckBox, self.tomlInsertQuoteCheckBox)
        EditorTypingPage.setTabOrder(self.tomlInsertQuoteCheckBox, self.tomlInsertBlankColonCheckBox)
        EditorTypingPage.setTabOrder(self.tomlInsertBlankColonCheckBox, self.tomlInsertBlankEqualCheckBox)
        EditorTypingPage.setTabOrder(self.tomlInsertBlankEqualCheckBox, self.tomlInsertBlankCommaCheckBox)

    def retranslateUi(self, EditorTypingPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorTypingPage", "<b>Configure typing</b>"))
        self.TextLabel1_3.setText(_translate("EditorTypingPage", "Programming Language:"))
        self.languageCombo.setToolTip(_translate("EditorTypingPage", "Select the programming language to be configured."))
        self.pythonGroup.setToolTip(_translate("EditorTypingPage", "Select to enable Python typing aids"))
        self.pythonGroup.setTitle(_translate("EditorTypingPage", "Enable Python typing aids"))
        self.pythonInsertClosingBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a closing parenthesis"))
        self.pythonInsertClosingBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic parenthesis insertion"))
        self.pythonSkipBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip matching parenthesis when typing"))
        self.pythonSkipBraceCheckBox.setText(_translate("EditorTypingPage", "Automatically skip matching parenthesis when typing"))
        self.pythonColonDetectionCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip a \':\', if typed next to another \':\'"))
        self.pythonColonDetectionCheckBox.setText(_translate("EditorTypingPage", "Automatic colon detection"))
        self.pythonIndentBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to indent after typing \'return\'"))
        self.pythonIndentBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic indent after \'(\'"))
        self.pythonInsertQuoteCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the matching quote character"))
        self.pythonInsertQuoteCheckBox.setText(_translate("EditorTypingPage", "Automatic quote insertion"))
        self.pythonDedentElseCheckBox.setToolTip(_translate("EditorTypingPage", "Select to dedent \'else:\' and \'elif\' to the matching \'if\'"))
        self.pythonDedentElseCheckBox.setText(_translate("EditorTypingPage", "Automatic dedent of \'else:\' and \'elif\'"))
        self.pythonDedentExceptCheckBox.setToolTip(_translate("EditorTypingPage", "Select to dedent \'except\' and \'finally\' to the matching \'try:\'"))
        self.pythonDedentExceptCheckBox.setText(_translate("EditorTypingPage", "Automatic dedent of \'except\' and \'finally\'"))
        self.pythonInsertImportCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the \'import \' string when the line starts with \'from ...\'"))
        self.pythonInsertImportCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of the \'import\' string on \'from xxx\'"))
        self.pythonImportBraceTypeCheckBox.setToolTip(_translate("EditorTypingPage", "Select to create import statements of the form \'from ... import (...)\'"))
        self.pythonImportBraceTypeCheckBox.setText(_translate("EditorTypingPage", "Generate \'(...)\' type import"))
        self.pythonInsertSelfCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the \'self\' string when declaring a method"))
        self.pythonInsertSelfCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \'self\' when declaring methods"))
        self.pythonInsertBlankCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \',\'"))
        self.pythonInsertBlankCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \',\'"))
        self.pythonDedentDefCheckBox.setToolTip(_translate("EditorTypingPage", "Select to dedent \'def\' statements to the last \'def\' or \'class\'"))
        self.pythonDedentDefCheckBox.setText(_translate("EditorTypingPage", "Automatic dedent of \'def\' statements"))
        self.rubyGroup.setToolTip(_translate("EditorTypingPage", "Select to enable Ruby typing aids"))
        self.rubyGroup.setTitle(_translate("EditorTypingPage", "Enable Ruby typing aids"))
        self.rubyInsertClosingBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a closing parenthesis"))
        self.rubyInsertClosingBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic parenthesis insertion"))
        self.rubySkipBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip matching parenthesis when typing"))
        self.rubySkipBraceCheckBox.setText(_translate("EditorTypingPage", "Automatically skip matching parenthesis when typing"))
        self.rubyIndentBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to indent after typing \'return\'"))
        self.rubyIndentBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic indent after \'(\'"))
        self.rubyInsertQuoteCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the matching quote character"))
        self.rubyInsertQuoteCheckBox.setText(_translate("EditorTypingPage", "Automatic quote insertion"))
        self.rubyInsertBlankCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \',\'"))
        self.rubyInsertBlankCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \',\'"))
        self.rubyInsertHereDocCheckBox.setToolTip(_translate("EditorTypingPage", "Select to automatically complete a here document"))
        self.rubyInsertHereDocCheckBox.setText(_translate("EditorTypingPage", "Automatic completion of here document"))
        self.rubyInsertInlineDocCheckBox.setToolTip(_translate("EditorTypingPage", "Select to automatically insert \'=end\' after entering \'=begin\'"))
        self.rubyInsertInlineDocCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \'=end\' after \'=begin\'"))
        self.yamlGroup.setToolTip(_translate("EditorTypingPage", "Select to enable YAML typing aids"))
        self.yamlGroup.setTitle(_translate("EditorTypingPage", "Enable YAML typing aids"))
        self.yamlInsertClosingBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a closing parenthesis"))
        self.yamlInsertClosingBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic parenthesis insertion"))
        self.yamlSkipBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip matching parenthesis when typing"))
        self.yamlSkipBraceCheckBox.setText(_translate("EditorTypingPage", "Automatically skip matching parenthesis when typing"))
        self.yamlColonDetectionCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip a \':\', if typed next to another \':\'"))
        self.yamlColonDetectionCheckBox.setText(_translate("EditorTypingPage", "Automatic colon detection"))
        self.yamlAutoIndentationCheckBox.setToolTip(_translate("EditorTypingPage", "Select to indent after typing \'return\'"))
        self.yamlAutoIndentationCheckBox.setText(_translate("EditorTypingPage", "Automatic indent after \':\', \'-\', \'|\', \'|-\', \'|+\', \'>\', \'>-\', \'>+\'"))
        self.yamlInsertQuoteCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the matching quote character"))
        self.yamlInsertQuoteCheckBox.setText(_translate("EditorTypingPage", "Automatic quote insertion"))
        self.yamlInsertBlankColonCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \':\'"))
        self.yamlInsertBlankColonCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \':\'"))
        self.yamlInsertBlankDashCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \'-\'"))
        self.yamlInsertBlankDashCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \'-\'"))
        self.yamlInsertBlankQuestionCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \'?\'"))
        self.yamlInsertBlankQuestionCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \'?\'"))
        self.yamlInsertBlankCommaCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \',\'"))
        self.yamlInsertBlankCommaCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \',\'"))
        self.tomlGroup.setToolTip(_translate("EditorTypingPage", "Select to enable TOML typing aids"))
        self.tomlGroup.setTitle(_translate("EditorTypingPage", "Enable TOML typing aids"))
        self.tomlInsertClosingBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a closing parenthesis"))
        self.tomlInsertClosingBraceCheckBox.setText(_translate("EditorTypingPage", "Automatic parenthesis insertion"))
        self.tomlSkipBraceCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip matching parenthesis when typing"))
        self.tomlSkipBraceCheckBox.setText(_translate("EditorTypingPage", "Automatically skip matching parenthesis when typing"))
        self.tomlColonDetectionCheckBox.setToolTip(_translate("EditorTypingPage", "Select to skip a \':\', if typed next to another \':\'"))
        self.tomlColonDetectionCheckBox.setText(_translate("EditorTypingPage", "Automatic colon detection"))
        self.tomlAutoIndentationCheckBox.setToolTip(_translate("EditorTypingPage", "Select to indent after typing \'return\'"))
        self.tomlAutoIndentationCheckBox.setText(_translate("EditorTypingPage", "Automatic indent after \'(\', \'{\', \'[\'"))
        self.tomlInsertQuoteCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert the matching quote character"))
        self.tomlInsertQuoteCheckBox.setText(_translate("EditorTypingPage", "Automatic quote insertion"))
        self.tomlInsertBlankColonCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \':\'"))
        self.tomlInsertBlankColonCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \':\'"))
        self.tomlInsertBlankEqualCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \'=\'"))
        self.tomlInsertBlankEqualCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \'=\'"))
        self.tomlInsertBlankCommaCheckBox.setToolTip(_translate("EditorTypingPage", "Select to insert a blank after \',\'"))
        self.tomlInsertBlankCommaCheckBox.setText(_translate("EditorTypingPage", "Automatic insertion of \' \' (blank) after \',\'"))
